### Class

# Gio ProxyAddressEnumerator

#### Description

    class Gio.ProxyAddressEnumerator : Gio.SocketAddressEnumerator
    {
      /* No available fields */
    }

`GProxyAddressEnumerator` is a wrapper around `GSocketAddressEnumerator` which takes the `GSocketAddress` instances returned by the `GSocketAddressEnumerator` and wraps them in `GProxyAddress` instances, using the given `GProxyAddressEnumerator:proxy-resolver`.

This enumerator will be returned (for example, by `g_socket_connectable_enumerate()`) as appropriate when a proxy is configured; there should be no need to manually wrap a `GSocketAddressEnumerator` instance with one.

#### Ancestors

- GSocketAddressEnumerator
- GObject

#### Instance methods

##### Methods inherited from GSocketAddressEnumerator (3)

###### g_socket_address_enumerator_next

Retrieves the next `GSocketAddress` from `enumerator`. Note that this may block for some amount of time. (Eg, a `GNetworkAddress` may need to do a DNS lookup before it can return an address.) Use `g_socket_address_enumerator_next_async()` if you need to avoid blocking.

###### g_socket_address_enumerator_next_async

Asynchronously retrieves the next `GSocketAddress` from `enumerator` and then calls `callback`, which must call `g_socket_address_enumerator_next_finish()` to get the result.

###### g_socket_address_enumerator_next_finish

Retrieves the result of a completed call to g_socket_address_enumerator_next_async(). See `g_socket_address_enumerator_next()` for more information about error handling.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gio.ProxyAddressEnumerator:connectable

The connectable being enumerated.

###### Gio.ProxyAddressEnumerator:default-port

The default port to use if `GProxyAddressEnumerator:uri` does not specify one.

since: 2.38

###### Gio.ProxyAddressEnumerator:proxy-resolver

The proxy resolver to use.

since: 2.36

###### Gio.ProxyAddressEnumerator:uri

The destination URI. Use `none://` for a generic socket.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioProxyAddressEnumeratorClass {
      void (* _g_reserved1) (
    void
      );
      void (* _g_reserved2) (
    void
      );
      void (* _g_reserved3) (
    void
      );
      void (* _g_reserved4) (
    void
      );
      void (* _g_reserved5) (
    void
      );
      void (* _g_reserved6) (
    void
      );
      void (* _g_reserved7) (
    void
      );

    }

Class structure for `GProxyAddressEnumerator`.

###### Class members

`_g_reserved1: void (* _g_reserved1) ( void )`

  No description available.

`_g_reserved2: void (* _g_reserved2) ( void )`

  No description available.

`_g_reserved3: void (* _g_reserved3) ( void )`

  No description available.

`_g_reserved4: void (* _g_reserved4) ( void )`

  No description available.

`_g_reserved5: void (* _g_reserved5) ( void )`

  No description available.

`_g_reserved6: void (* _g_reserved6) ( void )`

  No description available.

`_g_reserved7: void (* _g_reserved7) ( void )`

  No description available.